> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/users/generateAuthenticationToken#auth).

Generates an authentication token which the device policy client can use to
provision the given EMM-managed user account on a device.
The generated token is single-use and expires after a few minutes.

<br />


You can provision a maximum of 10 devices per user.

<br />


This call only works with EMM-managed accounts.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId/authenticationToken
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `userId` | `string` | The ID of the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#authenticationToken",
  "token": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `token` | `string` | The authentication token to be passed to the device policy client on the device where it can be used to provision the account for which this token was generated. |   |
| `kind` | `string` |   |   |